Bug 36708 - Web Inspector: records counter should be implemented in Timeline Panel.
Summary: Web Inspector: records counter should be implemented in Timeline Panel.
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Web Inspector (Deprecated) (show other bugs)
Version: 528+ (Nightly build)
Hardware: All All
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-03-27 12:06 PDT by Ilya Tikhonovsky
Modified: 2010-03-30 02:02 PDT (History)
2 users (show)

See Also:


Attachments
[patch] first iteration. (4.65 KB, patch)
2010-03-27 12:09 PDT, Ilya Tikhonovsky
no flags Details | Formatted Diff | Diff
Screenshot (45.13 KB, image/png)
2010-03-27 12:13 PDT, Ilya Tikhonovsky
no flags Details
Screenshot with changed font style (52.26 KB, image/png)
2010-03-27 12:56 PDT, Ilya Tikhonovsky
no flags Details
[patch] second iteration with changed text style (4.66 KB, patch)
2010-03-27 13:00 PDT, Ilya Tikhonovsky
pfeldman: review+
Details | Formatted Diff | Diff
[patch] fixed version (10.26 KB, patch)
2010-03-29 12:02 PDT, Ilya Tikhonovsky
pfeldman: review+
eric: commit-queue-
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ilya Tikhonovsky 2010-03-27 12:06:20 PDT
As far as we have records filters it will be user friendly to have a counter of visible/captured records.
Comment 1 Ilya Tikhonovsky 2010-03-27 12:09:39 PDT
Created attachment 51835 [details]
[patch] first iteration.

has binary changes in localizedStrings.js
Comment 2 Ilya Tikhonovsky 2010-03-27 12:13:17 PDT
Created attachment 51836 [details]
Screenshot
Comment 3 Timothy Hatcher 2010-03-27 12:35:52 PDT
It shouldn't be that big of font, maybe 1px smaller. Also not bold. It should have a 1px white text shadow on the bottom too.
Comment 4 Ilya Tikhonovsky 2010-03-27 12:56:33 PDT
Created attachment 51839 [details]
Screenshot with changed font style
Comment 5 Timothy Hatcher 2010-03-27 12:57:26 PDT
Looks good with the new style.
Comment 6 Ilya Tikhonovsky 2010-03-27 13:00:07 PDT
Created attachment 51841 [details]
[patch] second iteration with changed text style
Comment 7 Ilya Tikhonovsky 2010-03-29 12:02:55 PDT
Created attachment 51944 [details]
[patch] fixed version

Extended version of patch.
1) records count is not affected by collapsed states of the records;
2) records count is affected by type filters;
3) zero size events were not visible if they were last events in Timeline - fixed;
4) zero size event was filtered if it was the only event in Timeline - fixed;
5) type filter was applied only for the top level events - fixed.
Comment 8 Eric Seidel (no email) 2010-03-29 22:51:07 PDT
Comment on attachment 51944 [details]
[patch] fixed version

This is a git binary diff which uses delta diffs instead of literal diffs, unfortunately our scripts don't yet support delta diffs, so this will have to be either re-posted or landed by hand.
Comment 9 Pavel Feldman 2010-03-30 02:02:29 PDT
Landed as r56772.